Previous Thread
Next Thread
Print Thread
Hop To
Upgrading from Classic 6.3 #166687 10/21/2006 12:35 AM
Joined: May 2006
Posts: 238
Steve C Offline OP
enthusiast
OP Offline
enthusiast
Joined: May 2006
Posts: 238
It has been a busy summer...

Back in June, it looked like I could upgrade to Threads from my old 6.3.1.2 forum without an intermediate upgrade of Classic. But now all I see is
Quote:
UBB.classic™ users. Please note, if you are not running at least version 6.7, you will need to upgrade your forum to 6.7 at the minimum before importing to version 7.


and so I look at the UBB.Classic v6.7.3 download, and first thing, there are two versions to choose, but no hint as to which one I should download. Back in June, there was a lot more info online, and it seems to be gone now.

Can I still get to the old online help, or do I just ask one question at a time here?

Next question: I downloaded one of the "Current Version: 6.7.3" zip files and open the ReadMeFirst.txt and find:
Quote:
NOTE: If you are upgrading an existing licensed board, you need to download the "upgrade" release zip from the Member Area. This is a full installation zip, which is only suitable for new installations or upgrades from the UBB.classic(tm) Trial Version.


Where is the upgrade release?

Re: Upgrading from Classic 6.3 [Re: Steve C] #166688 10/21/2006 12:41 AM
Joined: Jun 2006
Posts: 346
Ron M Offline
enthusiast
Offline
enthusiast
Joined: Jun 2006
Posts: 346
The importers are designed specifically for the data file formats in 6.7.x.

When you download, if you are on windows, it doesn't matter which version. If you are linux, you need to grab the version that matches your path to Perl. You can check that by looking at your current ultimatebb.cgi and seeing what the first line is.

Re: Upgrading from Classic 6.3 [Re: Ron M] #166689 10/21/2006 1:12 AM
Joined: May 2006
Posts: 238
Steve C Offline OP
enthusiast
OP Offline
enthusiast
Joined: May 2006
Posts: 238
Ron M! Thanks for the quick response.

I am a Windows person with lots of Oracle programming experience, but very little unix experience.

The Classic board runs on a unix system, so I am hoping people here can lead me through the upgrade(s).
Quote:
You can check that by looking at your current ultimatebb.cgi and seeing what the first line is.
It says: #!/usr/bin/perl
...so no "local"?

Re: Upgrading from Classic 6.3 [Re: Steve C] #166725 10/21/2006 4:53 AM
Joined: Jun 2006
Posts: 15,852
Gizmo Offline
UBB.threads Developer
Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 15,852
You are correct, if ultimatebb.php shows a path, that is the exact path you need to use.

The only differance in the two files is the path listed in ultimatebb.cgi and cp.cgi


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Need to Upgrade?
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: Upgrading from Classic 6.3 [Re: Gizmo] #166745 10/21/2006 10:32 AM
Joined: Jun 2006
Posts: 9,243
Rick Offline
Former Developer
Offline
Former Developer
Joined: Jun 2006
Posts: 9,243
Here's the doc for upgrading. Meant to include these on the docs page, or at least in the members area.

http://www.ubbcentral.com/support/docs/ubbclassic/UBB6_upgrade_within_6.html

Re: Upgrading from Classic 6.3 [Re: Rick] #167029 10/24/2006 11:53 PM
Joined: May 2006
Posts: 238
Steve C Offline OP
enthusiast
OP Offline
enthusiast
Joined: May 2006
Posts: 238
Well, good news... I spent several hours last night upgrading (I know that is a long time, but I have to be really careful the first time!). And my board came up with no problems after the upgrade. This really boosts my confidence in installing Threads.

One issue: In the control panel, I occasionally see some errors, like this one:
Quote:
Can't locate warnings.pm in @INC (@INC contains: ./Modules . /usr/libdata/perl/5.00503/mach /usr/libdata/perl/5.00503 /usr/local/lib/perl5/site_perl/5.005/i386-freebsd /usr/local/lib/perl5/site_perl/5.005 .) at /usr/local/psa/home/vhosts/whitneyportalstore.com/cgi-bin/ubb/cp2_content.cgi line 3843.
when I select the Styles option. I get the same message when I select any of the Content Management group.

I couldn't find any warnings.pm file in the installation zip.

Re: Upgrading from Classic 6.3 [Re: Steve C] #167036 10/25/2006 2:40 AM
Joined: Jun 2006
Posts: 15,852
Gizmo Offline
UBB.threads Developer
Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 15,852
ummm, this error is for UBB.Classic (as .Threads doesn't use perl)... The warnings.pm would be in the UBB.Classic install zip from that version that you where previously running


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Need to Upgrade?
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: Upgrading from Classic 6.3 [Re: Gizmo] #167065 10/25/2006 11:14 AM
Joined: May 2006
Posts: 238
Steve C Offline OP
enthusiast
OP Offline
enthusiast
Joined: May 2006
Posts: 238
Thanks, Gizmo. Yes, I am first upgrading from Classic 6.3 to 6.7, in preparation for migrating to Threads, since I must be on Classic 6.7.3 in order to import to Threads.

Unfortunately, I have inherited this board, so I don't have the original old release. Can someone find a copy of the file and email it to me? (stevec at sfsu.edu)

Re: Upgrading from Classic 6.3 [Re: Steve C] #167074 10/25/2006 1:12 PM
Joined: Jun 2006
Posts: 346
Ron M Offline
enthusiast
Offline
enthusiast
Joined: Jun 2006
Posts: 346
I'm going to move this down to UBB.classic Assistance. I will rummage up a fix in the mean time.

Re: Upgrading from Classic 6.3 [Re: Ron M] #167076 10/25/2006 1:15 PM
Joined: Jun 2006
Posts: 346
Ron M Offline
enthusiast
Offline
enthusiast
Joined: Jun 2006
Posts: 346

Re: Upgrading from Classic 6.3 [Re: Ron M] #167079 10/25/2006 2:02 PM
Joined: May 2006
Posts: 238
Steve C Offline OP
enthusiast
OP Offline
enthusiast
Joined: May 2006
Posts: 238
Ok, got it, and fixed it. Thanks, Ron M!

And thanks for moving the topic. I wasn't even aware there was a Classic V6 forum. I have a hard time on boards with lots of forums (like my users--they always use only one board).

You might as well move my other post in the General Assistance forum into this one.


Forum Search
ShoutChat Box
Comment Guidelines: Do post respectful and insightful comments. Don't flame, hate, spam.
Recent Topics
Mobile app?
by Baldeagle - 12/06/2019 9:32 PM
How do you change Text Line spacing?
by jorb - 11/23/2019 12:14 AM
What happened to FAQ or Forum Help
by Ruben - 11/20/2019 11:58 AM
Search feature encountering an Error message
by jorb - 11/20/2019 12:06 AM
Followed List v7.7.2 Question
by Ruben - 11/12/2019 12:22 PM
Who's Online Now
2 registered members (Jake, Baldeagle), 87 guests, and 449 spiders.
Key: Admin, Global Mod, Mod
Random Gallery Image
Latest Gallery Images
Artistic structures
Artistic structures
by isaac, August 29
Stones
Stones
by isaac, August 19
Amusing Terain Scenics
Amusing Terain Scenics
by isaac, August 19
Sky places
Sky places
by isaac, August 19
Powered by UBB.threads™ PHP Forum Software 7.7.4
(Snapshot build 20191023)